searchNodes=[{"doc":"Baobab is a pure Elixir implementation of the Bamboo append-only log. It is fairly opinionated about the DETS persistence of the logs. They are considered to be a spool of the logs as retreived. Consumers of this library may wish to place a local copy of the logs in a store with better indexing and query properties. Configuration config :baobab, spool_dir: &quot;/tmp&quot; Options format : :entry or :binary , default: :entry log_id : the author's log identifier, default 0 clump_id : the bamboo clump with which associated, default: &quot;default&quot; revalidate : confirm the store contents are unchanged, default: false replace : rewrite log contents even if it exists, default: false","ref":"Baobab.html","title":"Baobab","type":"module"},{"doc":"A list of all {author, log_id, seqnum} tuples in the configured store","ref":"Baobab.html#all_entries/1","title":"Baobab.all_entries/1","type":"function"},{"doc":"Retrieve the list of sequence numbers on a particular log identified by the author key and log number","ref":"Baobab.html#all_seqnum/2","title":"Baobab.all_seqnum/2","type":"function"},{"doc":"Create and store a new log entry for a stored identity","ref":"Baobab.html#append_log/3","title":"Baobab.append_log/3","type":"function"},{"doc":"Resolve an identity to its Base62 representation Attempts to resolve ~short using stored logs","ref":"Baobab.html#b62identity/1","title":"Baobab.b62identity/1","type":"function"},{"doc":"Compact log contents to only items in the certificate pool for the latest entry. This allows validation while reducing space used","ref":"Baobab.html#compact/2","title":"Baobab.compact/2","type":"function"},{"doc":"Create and store a new identity An optional secret key to be associated with the identity may provided, either raw or base62 encoded. The public key will be derived therefrom.","ref":"Baobab.html#create_identity/2","title":"Baobab.create_identity/2","type":"function"},{"doc":"Retrieve the current hash of the :content or :identity store. No information should be gleaned from any particular hash beyond whether the contents have changed since a previous check.","ref":"Baobab.html#current_hash/2","title":"Baobab.current_hash/2","type":"function"},{"doc":"Drop a stored identity. Baobab will be unable to recover keys (notably :secret keys) destroyed herewith.","ref":"Baobab.html#drop_identity/1","title":"Baobab.drop_identity/1","type":"function"},{"doc":"Retrieve all available entries in a particular log","ref":"Baobab.html#full_log/2","title":"Baobab.full_log/2","type":"function"},{"doc":"List all known identities with their base62 public key representation","ref":"Baobab.html#identities/0","title":"Baobab.identities/0","type":"function"},{"doc":"Retrieve the key for a stored identity. Can be either the :public or :secret key","ref":"Baobab.html#identity_key/2","title":"Baobab.identity_key/2","type":"function"},{"doc":"Import and store a list of log entries from their binary format.","ref":"Baobab.html#import/2","title":"Baobab.import/2","type":"function"},{"doc":"Retrieve an author log at a particular sequence number. Includes the available certificate pool for its verification. Using :max as the sequence number will use the latest","ref":"Baobab.html#log_at/3","title":"Baobab.log_at/3","type":"function"},{"doc":"Retreive a paticular entry by author and sequence number. :max for the sequence number retrieves the latest known entry","ref":"Baobab.html#log_entry/3","title":"Baobab.log_entry/3","type":"function"},{"doc":"Retrieve all available author log entries over a specified range: {first, last} .","ref":"Baobab.html#log_range/3","title":"Baobab.log_range/3","type":"function"},{"doc":"Retrieve the latest sequence number on a particular log identified by the author key and log number","ref":"Baobab.html#max_seqnum/2","title":"Baobab.max_seqnum/2","type":"function"},{"doc":"","ref":"Baobab.html#optvals/3","title":"Baobab.optvals/3","type":"function"},{"doc":"Purges a given log. :all may be specified for author and/or the log_id option. Specifying both effectively clears the entire store. Returns Baobab.stored_info/0 Examples iex&gt; Baobab.purge(:all, log_id: :all) []","ref":"Baobab.html#purge/2","title":"Baobab.purge/2","type":"function"},{"doc":"Rename an extant identity leaving its keys intact.","ref":"Baobab.html#rename_identity/2","title":"Baobab.rename_identity/2","type":"function"},{"doc":"","ref":"Baobab.html#spool/4","title":"Baobab.spool/4","type":"function"},{"doc":"A list of {author, log_id, max_seqnum} tuples in the configured store","ref":"Baobab.html#stored_info/1","title":"Baobab.stored_info/1","type":"function"},{"doc":"A struct representing a Baobab entry","ref":"Baobab.Entry.html","title":"Baobab.Entry","type":"module"},{"doc":"Validation of Baobab.Entry structs","ref":"Baobab.Entry.Validator.html","title":"Baobab.Entry.Validator","type":"module"},{"doc":"Validate a Baobab.Entry struct relative to the provided clump_id Includes validation of its available certificate pool","ref":"Baobab.Entry.Validator.html#validate/2","title":"Baobab.Entry.Validator.validate/2","type":"function"},{"doc":"Validate the backlink field of a Baobab.Entry relative to the provided clump","ref":"Baobab.Entry.Validator.html#validate_backlink/2","title":"Baobab.Entry.Validator.validate_backlink/2","type":"function"},{"doc":"Validate a Baobab.Entry without full certificate pool verification. Confirms: Signature Payload hash Backlink Lipmaalink Relative to the provided clump_id","ref":"Baobab.Entry.Validator.html#validate_entry/2","title":"Baobab.Entry.Validator.validate_entry/2","type":"function"},{"doc":"Validate the lipmaalink field of a Baobab.Entry relatve to the provided clump_id","ref":"Baobab.Entry.Validator.html#validate_lipmaalink/2","title":"Baobab.Entry.Validator.validate_lipmaalink/2","type":"function"},{"doc":"Validate the payload_hash field of a Baobab.Entry","ref":"Baobab.Entry.Validator.html#validate_payload_hash/1","title":"Baobab.Entry.Validator.validate_payload_hash/1","type":"function"},{"doc":"Validate the sig field of a Baobab.Entry","ref":"Baobab.Entry.Validator.html#validate_sig/1","title":"Baobab.Entry.Validator.validate_sig/1","type":"function"}]